Subject: Campus-wide use of PC-Pine (Win) - large address books

From: Alan Robiette <[email-masked]>
Date: Wed, 14 Aug 1996 17:56:48 +0100

3 weeks or so back there was a thread on setting up PC-Pine (in that case
the Win95 version) for wide-spread use in campus environments. 

A question I meant to raise at the time is whether anyone has found a way
of using large address books with the Windows version.  Our interest is in
Windows 3.11.  Currently we maintain a campus-wide address book for Pine
on Unix, which has nearly 14,000 entries for staff and students - the raw
file is more than 1 MB in size.  This works fine in that environment; the
only problem is that it's a little slow on searching, but users can live
with this. 

However if I try the same address book with the Windows version, PC-Pine
falls over immediately with a GPF.  An earlier version (3.93 from memory,
but I can't be sure) would load the first page of the address book but
then freeze up completely as soon as any operation was attempted.  I guess
it simply cannot handle address books of this size. 

We have thought of splitting the address book into chunks, either by
University department or by sections of the alphabet.  Before trying
possible schemes it seemed worth enquiring whether there's any experience
of this or any other approach.  Can anyone give for example any kind of
upper limit on address book size, which the Windows version is known to
accept?  Equally important, are there any limits on the number of global
address books PC-Pine can hold in its list?

Any ideas on this one would be welcome, either by posting to the group or
by direct email.  I have even wondered about last ditch solutions like
using a separate ph client and using cut and paste to transfer the address
into Pine (far from ideal, but other mail systems in use on campus like
Eudora and Pegasus/POP3 both have built-in support for ph, so it would
serve several needs).  If there's enough interest I'll be glad to
summarise. 

TIA,

Alan

==============================================================================
Alan Robiette, Director of IT, University of Warwick, Coventry CV4 7AL, UK
Phone +44-1203-524459  Fax +44-1203-523267  Email <[email-masked]>